/**
 * router/index.ts
 *
 * Automatic routes for `./src/pages/*.vue`
 */

// Composables
import Admin from '@/components/Admin.vue'
import Auth from '@/components/Auth.vue'
import Study from '@/components/Study.vue'
import Homepage from '@/components/Homepage.vue'
import { createRouter, createWebHistory } from 'vue-router'
import RecordList from '@/components/RecordList.vue'
import ProblemList from '@/components/study/ProblemList.vue'
import SetList from '@/components/study/SetList.vue'

const routes = [
  {
    path: '/',
    name: 'home',
    component: Homepage
  },
  {
    path: '/auth',
    name: 'auth',
    component: Auth
  },
  {
    path: '/admin',
    name: 'admin',
    component: Admin
  },
  {
    path: '/study',
    name: 'study',
    component: Study
  },
  {
    path: '/problems',
    name: 'problems',
    component: ProblemList
  },
  {
    path: '/sets',
    name: 'sets',
    component: SetList
  },
  {
    path: '/records',
    name: 'sub',
    component: RecordList
  }
]



const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes
})

// const routes = [
//   {
//     path: '/',
//     name: 'home',
//     componen
//   }
// ]

// const router = createRouter({
//   history: createWebHistory(import.meta.env.BASE_URL),
//   routes,
// })

// Workaround for https://github.com/vitejs/vite/issues/11804
router.onError((err, to) => {
  if (err?.message?.includes?.('Failed to fetch dynamically imported module')) {
    if (!localStorage.getItem('vuetify:dynamic-reload')) {
      console.log('Reloading page to fix dynamic import error')
      localStorage.setItem('vuetify:dynamic-reload', 'true')
      location.assign(to.fullPath)
    } else {
      console.error('Dynamic import error, reloading page did not fix it', err)
    }
  } else {
    console.error(err)
  }
})

router.isReady().then(() => {
  localStorage.removeItem('vuetify:dynamic-reload')
})

export default router
